EDIT - feature request #3989

[DISCUSS] Allow defining the vocabularies to be offered in the select dialogs
01/23/2014 06:03 PM - Andreas Kohlbecker

Status: Resolved Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 60%
Category: taxeditor Estimated time: 2:00 hours
Target version: Release 5.4

Severity: normal

Description

When entering distributions selecting an NamedArea can be cumbersome if multiple parallel vocabularies exist which have the same
or very similar areas. It would be nice if it would be possible to define the vocabularies to be offered in the select dialogue

(originally requested by Eckhard for Euro+Med)
This is probably solved already. But maybe only as local preferrence that is valid for all locally used databases. Better it should also

be available as DB preference as the vocabularies to be used should be something the project may want to define.
The current implementation was implemented by PP for many or all selection dialogs (there should be a ticket somewhere).

Related issues:

Related to EDIT - feature request #7163: Restructure preferences Closed
Related to EDIT - feature request #6732: Rank selector offering 2 filtered |i... Closed
Related to EDIT - feature request #7235: Make available area vocabularies a d... Closed

Associated revisions

Revision 3b975922 - 10/09/2018 03:18 PM - Katja Luther

ref #7793: add DB preferences to hide specimen and import issues and smaller changes in db preferences

Revision 8ce2c6bd - 10/16/2018 01:07 PM - Katja Luther

ref #3989: add preferred vocs to named area selection dialog

History

#1 - 01/24/2014 11:04 AM - Andreas Miiller

- Assignee changed from Andreas Miller to Andreas Kohlbecker

The arrow button in the upper right corner already allows filtering in theory, but this functionality currently doesn't seem to work. So we should fix it
anyway. For E+M users the filter should be automatically set correctly (by installing E+M default preference configuarations ?).

#2 - 08/18/2014 12:15 PM - Andreas Kohlbecker

- Keywords set to Euro+Med,Migration

#3 - 09/13/2017 03:08 PM - Andreas Miuller

- Subject changed from allow defining the vocabularies to be offered in the select dialogs [DISCUSS] to Allow defining the vocabularies to be offered in
the select dialogs [DISCUSS]

- Description updated

- Assignee changed from Andreas Kohlbecker to Katja Luther

- Priority changed from New to Highest

- Target version changed from Euro+Med Migration to Release 4.11

- Private changed from Yes to No
#4 - 09/13/2017 03:10 PM - Andreas Miiller

- Subject changed from Allow defining the vocabularies to be offered in the select dialogs [DISCUSS] to [DISCUSS] Allow defining the vocabularies to
be offered in the select dialogs
For E+M this is at least needed for

e distribution areas
® common name areas
e distribution status

#5 - 11/08/2017 11:19 AM - Andreas Mdiller

- Target version changed from Release 4.11 to Release 4.12

#6 - 12/05/2017 02:23 PM - Andreas Miuller

- Target version changed from Release 4.12 to Release 4.13

#7 - 01/31/2018 12:23 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#8 - 02/15/2018 03:25 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#9 - 02/21/2018 02:01 PM - Andreas Miller

- Related to feature request #7163: Restructure preferences added

#10 - 02/21/2018 02:05 PM - Andreas Miiller

- Assignee changed from Katja Luther to Andreas Miiller

Solutions are clear. Tickets need to be created or linked.

#11 - 05/09/2018 04:56 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Katja Luther

How far is this implemented in current TaxEditor? | can't see CdmPreferences admin settings yet for these 3 preferences.

#12 - 05/09/2018 04:56 PM - Andreas Miiller
- Estimated time set to 4:00 h

#13 - 05/11/2018 10:55 AM - Andreas Kohlbecker

This feature request is also relevant for Vaadin Uls (#6732 and eu.etaxonomy.cdm.vaadin.ui.RegistrationUIDefaults). Since the CdmPreferences are
to be used to define the sets of terms the mechanism to filter terms by the preferences should also be implemented in the cdmlib, preferably as filter
option (PrefKey termFilterPreset) in the service api. By this we can avoid duplicate implementations in the taxeditor and vaadin.

**Filter Parameter PrefKey termFilterPreset:

service method may check for a specific key_subject, e.g. regex: /termFilterSet/.* or exact: /termFilterSet/NamedArea/ to make sure a valid
preference value is passed in.

#14 - 05/11/2018 10:59 AM - Andreas Kohlbecker
- Related to feature request #6732: Rank selector offering 2 filtered lists of ranks (default, all) for phycobank added

#15 - 05/17/2018 02:28 PM - Andreas Miiller

- Target version changed from Release 5.0 to Release 5.1

#16 - 05/28/2018 11:25 AM - Andreas Miiller

- Status changed from New to In Progress

#17 - 05/28/2018 11:31 AM - Andreas Miiller

For E+M common name areas, distribution areas and distribution status is important.

#18 - 06/28/2018 12:11 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#19 - 08/17/2018 03:54 PM - Andreas Miiller
https://dev.e-taxonomy.eu/redmine/issues/6732

- Target version changed from Release 5.2 to Release 5.3

#20 - 09/06/2018 01:24 PM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#21 - 10/16/2018 12:40 PM - Katja Luther

in admin preferences now there is the possibility to define the vocabularies for common name area selection, distribution area selection and
distribution status selection.

#22 - 10/23/2018 11:13 AM - Andreas Miiller
- Status changed from In Progress to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 0 to 40

maybe fixed already, so set to resolved

#23 - 10/23/2018 11:14 AM - Andreas Miiller

- Related to feature request #7235: Make available area vocabularies a database preference for TaxEditor distribution editor added

#24 - 05/28/2019 02:28 PM - Andreas Miiller
- % Done changed from 40 to 60
- Estimated time changed from 4:00 h to 2:00 h

Generally implemented for dialogs needed in euro+med.
Still needs check for open issues/other dialogs and for not existing Ul for setting the preferences.
